function trans_rates = find_rates(all_durations,years)

    %Define necessary data structure:
    trans_rates = cell(1,length(all_durations)); 
    
    
    %Loops through each line:
    for i = 1:length(all_durations)
        trans = zeros(3);
              %Loops through rows of transition matrix:
              for j = 1:3 
                  %Loops through columns of transition matrix:
                  for k = 1:3
                      if isempty(all_durations{i}{j,k})
                          continue
                      end
                      
                      trans(j,k) = length(all_durations{i}{j,k})/years;
                      %Calculates average transition rate:
                        %trans(j,k) = 1/(sum(all_durations{i}{j,k})/length(all_durations{i}{j,k}));
                      
                  end
              end
              %Adds results to cell:
              trans_rates{i} = trans; 
        
    end


end