function [cut_set_res , annual_res] = reliability_analysis 

print_sets = 1; %hvis 1 printer ut. Hvis 0 printer ikke
print_annual = 1; %hvis 1 printer ut. Hvis 0 printer ikke
%Dette er ment som mainfila.
load('all_results_RBTS.mat');   %pner alle resultater fra konsekvensanalysen

cut_sets=LP_cutsets(cont_results); %Lager en struct med alle kuttesett

eq_values = equivalents(cut_sets,cont_results,rel_data); % finne ekvivalente verdier for hvert kuttesett

cut_set_res = cut_set_indices(eq_values); % finne ENS for hvert kuttesett

annual_res = annual_indices(cut_set_res);  %finner annual indices av alle parametere

if print_sets 
    write_cut_set_indices(cut_set_res);
end

if print_annual
    write_annual_indices(annual_res);
end


end