function [trans_rates,lambda_avg,all_durations] = transition_rates(P_n,P_a,P_e)

%Upload failure rate time series:
flines = csvread('f_lines_rbts.csv',1,1);
f_prob = flines;   %[flines(:,lines(1)),flines(:,lines(2)),flines(:,lines(3)),flines(:,lines(4)),flines(:,lines(5)),flines(:,lines(6)),flines(:,lines(7)),flines(:,lines(8)),flines(:,lines(9))];
years = size(f_prob,1)/8760;

%Defines all categories and average failure rates of all lines: 
[n_upper,a_upper,lambda_avg] = find_cat_bounds(P_n, P_a, P_e,f_prob); 

%Finds and categorizes all transitions at each line:
 all_durations = find_transitions(n_upper,a_upper,f_prob) ;

%Finds average transition rate for all lines and states. 
trans_rates = find_rates(all_durations,years);

end