
%Upload failure rate time series:
flines = csvread('f_lines_rbts.csv',1,1);
f_prob = flines;   %[flines(:,lines(1)),flines(:,lines(2)),flines(:,lines(3)),flines(:,lines(4)),flines(:,lines(5)),flines(:,lines(6)),flines(:,lines(7)),flines(:,lines(8)),flines(:,lines(9))];
years = size(f_prob,1)/8760;
lambda_rbts = [1.5,5,4,1,1,1.5,5,1,1];

P_n = 0.979875;
P_a = 0.020011;
P_e = 0.000114; 

%Defines all categories and average failure rates of all lines: 
[n_upper,a_upper,lambda_avg] = find_cat_bounds(P_n, P_a, P_e,f_prob);

lamnda_n = [lambda_avg{1}(1); lambda_avg{2}(1);lambda_avg{3}(1);lambda_avg{4}(1);lambda_avg{5}(1);lambda_avg{6}(1);lambda_avg{7}(1);lambda_avg{8}(1);lambda_avg{9}(1)]*8760;
lamnda_a = [lambda_avg{1}(2); lambda_avg{2}(2);lambda_avg{3}(2);lambda_avg{4}(2);lambda_avg{5}(2);lambda_avg{6}(2);lambda_avg{7}(2);lambda_avg{8}(2);lambda_avg{9}(2)]*8760;
lamnda_e = [lambda_avg{1}(3); lambda_avg{2}(3);lambda_avg{3}(3);lambda_avg{4}(3);lambda_avg{5}(3);lambda_avg{6}(3);lambda_avg{7}(3);lambda_avg{8}(3);lambda_avg{9}(3)]*8760;

[trans_rates,lambda_avg,all_durations] = transition_rates(P_n,P_a,P_e);

lambda_approx_67 = three_state_approx(6,7,trans_rates,lambda_avg,P_n,P_a,P_e,lambda_rbts,all_durations);
lambda_approx_26 = three_state_approx(2,6,trans_rates,lambda_avg,P_n,P_a,P_e,lambda_rbts,all_durations);
lambda_approx_17 = three_state_approx(1,7,trans_rates,lambda_avg,P_n,P_a,P_e,lambda_rbts,all_durations);
lambda_approx_16 = three_state_approx(1,6,trans_rates,lambda_avg,P_n,P_a,P_e,lambda_rbts,all_durations);
lambda_approx_12 = three_state_approx(1,2,trans_rates,lambda_avg,P_n,P_a,P_e,lambda_rbts,all_durations);
lambda_approx_58 = three_state_approx(5,8,trans_rates,lambda_avg,P_n,P_a,P_e,lambda_rbts,all_durations);

